## org.eclipse.datatools.sqltools.result
Class ExternalResultSetViewer

    java.lang.Object
      ResultSetViewer
          org.eclipse.datatools.sqltools.result.ExternalResultSetViewer

    public class ExternalResultSetViewer

extends ResultSetViewer

Extends ResultSetViewer to allow extensions to inherit the default result set viewer

Author:
  Quy On

Constructor Summary
`ExternalResultSetViewer(Composite parent, int style, IResultInstance instance, IResultSetObject result, boolean showRowCount, ResultsViewControl resultsViewControl)` Creates a result set viewer.

Method Summary
`MenuManager` `getMenuManager()` Gets the Menu manager

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalResultSetViewer

    public ExternalResultSetViewer(Composite parent,
                                   int style,
                                   IResultInstance instance,
                                   IResultSetObject result,
                                   boolean showRowCount,
                                   ResultsViewControl resultsViewControl)

  Creates a result set viewer.

  Parameters:
    `parent` - the parent
    `style` - the viewer style
    `instance` - the result instance
    `result` - the result set object
    `showRowCount` - the show row count option
    `resultsViewControl` - the control for the results view

Method Detail

### getMenuManager

    public MenuManager getMenuManager()

  Gets the Menu manager

  Returns:
    the menu manager from super

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.